#Lineares Modell mit einem zufallsgenerierten Datensatz Beispiel 1.1
x <- rnorm(100, sd = 20)
y <- x + rnorm(100, sd = 9)
plot(y ~ x)
model <- lm(y ~ x)
abline(model)

#Zusammenfassung des linearen Modells
summary(lm(y ~ x))

#Vorhersage für den Datensatz für den Wert x=120
wert = data.frame(x=120)
predict(model, wert) 

#Lineares Modell Beispiel 2 für den Datensatz "icecream" Quelle: 
#https://vincentarelbundock.github.io/Rdatasets/datasets.html
a = read.csv(file.choose(), header=TRUE, sep=",")
model = lm(a$cons ~ a$temp) 
plot(a$cons ~ a$temp)
abline(model)
summary(model)

#Lineares Modell Beispiel 3
model = lm(a$cons ~ a$temp + a$price + a$income) 
#plot(a$cons~a$temp+a$price+a$income) 
summary(model)


#Vergleich von statistischen Modellen
model1<-lm(a$cons ~ a$temp + a$price)
model2<-lm(a$cons ~ a$temp)
anova(model1, model2)

model3<-lm(a$cons ~ a$temp)
model4<-lm(a$cons ~ a$temp + a$income)
anova(model4, model3)

